import request from '/@/utils/request';
//#region ====================== 左侧树列表 ======================
/**
 *
 * @summary
 */
export async function GetAll(req: any = request) {
	return req({
		url: '/Monitor/Formula/Group/GetAll@V1.0',
		method: 'GET',
	});
}
//插入一条
export async function InsertGetByID(params, req: any = request) {
	return req({
		url: '/Monitor/Formula/Group/Insert@V1.0',
		method: 'POST',
		data: params,
	});
}
//更新一条
export async function UpdateGetByID(params, req: any = request) {
	return req({
		url: '/Monitor/Formula/Group/Update@V1.0',
		method: 'PUT',
		data: params,
	});
}
//删除一条
export async function DeleteGetByID(params, req: any = request) {
	return req({
		url: '/Monitor/Formula/Group/DeleteByID@V1.0',
		method: 'DELETE',
		params: params,
	});
}
/**
 * @summary 更新用户排序码
 */
export const UpdateUserSorter = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Formula/Group/UpdateSorter@V1.0',
		method: 'PUT',
		data: params,
	});
};



/**
 * @summary 更新树排序码（更改父级）
 */
export const UpdateFormulaGroupTreeSortCode = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Formula/Group/UpdateTreeSortCode@V1.0',
		method: 'PUT',
		data: params,
	});
};


//根据组获取列表
export async function GetByGroupID(params, req: any = request) {
	return req({
		url: '/Monitor/Formula/GetByGroupID@V1.0',
		method: 'GET',
		params: params,
	});
}

//#endregion

//#region ====================== 右侧表格列表 ======================
//插入一条
export async function TableInsert(params, req: any = request) {
	return req({
		url: '/Monitor/Formula/Insert@V1.0',
		method: 'POST',
		data: params,
	});
}

//更新一条
export async function TableUpdate(params, req: any = request) {
	return req({
		url: '/Monitor/Formula/Update@V1.0',
		method: 'PUT',
		data: params,
	});
}
//删除
export async function TableDelete(params, req: any = request) {
	return req({
		url: '/Monitor/Formula/DeleteByID@V1.0',
		method: 'DELETE',
		params: params,
	});
}
//#endregion

/**
 * @summary 是否已存在当前编码
 */
export const GetIsExistFormulaCode = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Formula/IsExistCode@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 更新公式排序码
 */
export const UpdateFormulaSorter = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Formula/UpdateSorter@V1.0',
		method: 'PUT',
		data: params,
	});
};
